OpenVDB 11.0.0

Loading...
Searching...
No Matches
Public Types | Public Member Functions | List of all members
DiffuseShader< Film::RGBA, SamplerType > Class Template Reference

`#include <openvdb/tools/RayTracer.h>`

Inheritance diagram for DiffuseShader< Film::RGBA, SamplerType >:

## Public Types
using | RayT = math::Ray<Real>

## Public Member Functions
| DiffuseShader (const Film::RGBA &d=Film::RGBA(1.0f))
| DiffuseShader (const DiffuseShader &)=default
| ~DiffuseShader () override=default
Film::RGBA | operator() (const Vec3R &, const Vec3R &normal, const Vec3R &rayDir) const override
| Defines the interface of the virtual function that returns a RGB color.
BaseShader * | copy () const override

## Member Typedef Documentation

## ◆ RayT

using RayT = math::Ray<Real>
| inherited

## Constructor & Destructor Documentation

## ◆ DiffuseShader() [1/2]

template<typename SamplerType >

DiffuseShader | ( | const Film::RGBA & | d = Film::RGBA(1.0f) | ) |
| inline

## ◆ DiffuseShader() [2/2]

template<typename SamplerType >

DiffuseShader | ( | const DiffuseShader< Film::RGBA, SamplerType > & |  | ) |
| default

## ◆ ~DiffuseShader()

template<typename SamplerType >

~DiffuseShader | ( |  | ) |
| override default

## Member Function Documentation

## ◆ copy()

template<typename SamplerType >

BaseShader * copy | ( |  | ) | const
| inline override virtual

Implements BaseShader.

## ◆ operator()()

template<typename SamplerType >

Film::RGBA operator() | ( | const Vec3R & | xyz,
|  | const Vec3R & | nml,
|  | const Vec3R & | dir ) const
| inline override virtual

Defines the interface of the virtual function that returns a RGB color.

Parameters

  xyz | World position of the intersection point.
  nml | Normal in world space at the intersection point.
  dir | Direction of the ray in world space.

Implements BaseShader.